Bug 617460 - unable to suspend inside guest
unable to suspend inside guest
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks: 562808
  Show dependency treegraph
 
Reported: 2010-07-23 02:09 EDT by CAI Qian
Modified: 2010-07-26 03:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 03:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
guest xml (2.08 KB, application/xml)
2010-07-23 02:10 EDT, CAI Qian
no flags Details

  None (edit)
Description CAI Qian 2010-07-23 02:09:43 EDT
Description of problem:
When suspending inside the guest either sysfs or pm-suspend, the command returned immediately.

# cat /sys/power/state 
mem disk

# echo mem >/sys/power/state
# cat /var/log/messages 

Jul 23 14:01:40 dhcp-65-12 kernel: PM: Syncing filesystems ... done.
Jul 23 14:01:41 dhcp-65-12 kernel: Freezing user space processes ... (elapsed 0.00 seconds) done.
Jul 23 14:01:41 dhcp-65-12 kernel: Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
Jul 23 14:01:41 dhcp-65-12 kernel: Suspending console(s) (use no_console_suspend to debug)
Jul 23 14:01:41 dhcp-65-12 kernel: sd 0:0:0:0: [sda] Synchronizing SCSI cache
Jul 23 14:01:41 dhcp-65-12 kernel: sd 0:0:0:0: [sda] Stopping disk
Jul 23 14:01:41 dhcp-65-12 kernel: Intel ICH 0000:00:05.0: PCI INT A disabled
Jul 23 14:01:41 dhcp-65-12 kernel: uhci_hcd 0000:00:01.2: PCI INT D disabled
Jul 23 14:01:41 dhcp-65-12 kernel: ACPI: Preparing to enter system sleep state S3
Jul 23 14:01:41 dhcp-65-12 kernel: Disabling non-boot CPUs ...
Jul 23 14:01:41 dhcp-65-12 kernel: CPU 1 is now offline
Jul 23 14:01:41 dhcp-65-12 kernel: SMP alternatives: switching to UP code
Jul 23 14:01:41 dhcp-65-12 kernel: Enabling non-boot CPUs ...
Jul 23 14:01:41 dhcp-65-12 kernel: SMP alternatives: switching to SMP code
Jul 23 14:01:41 dhcp-65-12 kernel: Booting Node 0 Processor 1 APIC 0x1
Jul 23 14:01:41 dhcp-65-12 kernel: kvm-clock: cpu 1, msr 0:a316901, secondary cpu clock
Jul 23 14:01:41 dhcp-65-12 kernel: CPU1 is up
Jul 23 14:01:41 dhcp-65-12 kernel: ACPI: Waking up from system sleep state S3
Jul 23 14:01:41 dhcp-65-12 kernel: pci 0000:00:01.0: PIIX3: Enabling Passive Release
Jul 23 14:01:41 dhcp-65-12 kernel: uhci_hcd 0000:00:01.2: PCI INT D -> Link[LNKD] -> GSI 11 (level, high) -> IRQ 11
Jul 23 14:01:41 dhcp-65-12 kernel: usb usb1: root hub lost power or was reset
Jul 23 14:01:41 dhcp-65-12 kernel: Intel ICH 0000:00:05.0: PCI INT A -> Link[LNKA] -> GSI 10 (level, high) -> IRQ 10
Jul 23 14:01:41 dhcp-65-12 kernel: sd 0:0:0:0: [sda] Starting disk
Jul 23 14:01:41 dhcp-65-12 kernel: ata1.00: configured for MWDMA2
Jul 23 14:01:41 dhcp-65-12 kernel: Restarting tasks ... done.

Version-Release number of selected component (if applicable):
Host: X200
kernel-2.6.32-52.el6.x86_64
RHEL6.0-20100722.0

Guest:
kernel-2.6.32-52.el6.x86_64
RHEL6.0-20100722.0

How reproducible:
always
Comment 1 CAI Qian 2010-07-23 02:10:40 EDT
Created attachment 433879 [details]
guest xml
Comment 2 CAI Qian 2010-07-24 04:11:41 EDT
This is also not working reliably upstream - 2.6.35-rc6.

Note You need to log in before you can comment on or make changes to this bug.